SoFieldSensor(3)

NAME
SoFieldSensor - The SoFieldSensor class detects changes to a field.

SYNOPSIS

#include <Inventor/sensors/SoFieldSensor.h>

Inherits SoDataSensor.

  Public Member Functions
SoFieldSensor (void)
SoFieldSensor (SoSensorCB *func, void *data)
virtual ~SoFieldSensor (void)
void attach (SoField *field)
void detach (void)
SoField * getAttachedField (void) const
virtual void trigger (void)

  Additional Inherited Members

Detailed Description

The SoFieldSensor class detects changes to a field. Attach a field to a sensor of this type to put it under surveillance, so you can act upon changes to the field.

An SoFieldSensor can also act for delete-callback purposes alone and does not need a regular notification-based callback.

Constructor & Destructor Documentation

  SoFieldSensor::SoFieldSensor (void)
Constructor.

  SoFieldSensor::SoFieldSensor (SoSensorCB * func, void * data)
Constructor taking as parameters the sensor callback function and the userdata which will be passed to the callback.

See also
    setFunction(), setData()

  SoFieldSensor::~SoFieldSensor (void) [virtual]
Destructor.

Member Function Documentation

  void SoFieldSensor::attach (SoField * field)
Attach sensor to a field. Whenever the field's value changes, the sensor will be triggered and call the callback function.

A field sensor can be attached to only a single field at a time. When this method is invoked multiple times, each subsequent call will replace the field the sensor is monitoring with the new field.

When the given field is deleted, the sensor will automatically be detached.

See also
    detach()

  void SoFieldSensor::detach (void)
Detach sensor from field. As long as an SoFieldSensor is detached, it will never call its callback function.

See also
    attach()

  SoField * SoFieldSensor::getAttachedField (void) const
Returns a pointer to the field connected to the sensor.

See also
    attach(), detach()

  void SoFieldSensor::trigger (void) [virtual]
Trigger the sensor's callback function.

Reimplemented from SoDataSensor.

Author

Generated automatically by Doxygen for Coin from the source code.